com.massivecraft.factions.util

## Class MyLocationTypeAdapter

- java.lang.Object
- - com.massivecraft.factions.util.MyLocationTypeAdapter

- All Implemented Interfaces:
    com.google.gson.JsonDeserializer<LazyLocation>, com.google.gson.JsonSerializer<LazyLocation>

      public class MyLocationTypeAdapter
      extends java.lang.Object
      implements com.google.gson.JsonDeserializer<LazyLocation>, com.google.gson.JsonSerializer<LazyLocation>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MyLocationTypeAdapter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `LazyLocation` | `deserialize(com.google.gson.JsonElement json, java.lang.reflect.Type typeOfT, com.google.gson.JsonDeserializationContext context)`
    `com.google.gson.JsonElement` | `serialize(LazyLocation src, java.lang.reflect.Type typeOfSrc, com.google.gson.JsonSerializationContext context)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MyLocationTypeAdapter

          public MyLocationTypeAdapter()

  - ### Method Detail

    - #### deserialize

          public LazyLocation deserialize(com.google.gson.JsonElement json,
                                          java.lang.reflect.Type typeOfT,
                                          com.google.gson.JsonDeserializationContext context)
                                   throws com.google.gson.JsonParseException

      Specified by:
        `deserialize` in interface `com.google.gson.JsonDeserializer<LazyLocation>`
      Throws:
        `com.google.gson.JsonParseException`

    - #### serialize

          public com.google.gson.JsonElement serialize(LazyLocation src,
                                                       java.lang.reflect.Type typeOfSrc,
                                                       com.google.gson.JsonSerializationContext context)

      Specified by:
        `serialize` in interface `com.google.gson.JsonSerializer<LazyLocation>`